Bug 91530 - Sendmail does not check for non-printable characters properly
Sendmail does not check for non-printable characters properly
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-05-23 16:05 EDT by Joseph Shraibman
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-13 18:56:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch against sendmail 8.12.9 (412 bytes, patch)
2003-05-23 16:06 EDT, Joseph Shraibman
no flags Details | Diff

  None (edit)
Description Joseph Shraibman 2003-05-23 16:05:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4a) Gecko/20030401

Description of problem:
When sendmail checks for non-printable characters it does not handle 8 bit
characters properly.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Try to send mail to an address like solg�r@devnull.net through your local


Actual Results:  May 23 00:33:47 p5 sendmail[6661]: h4N4XVDj006661: Syntax error
in mailbox address "solg?rd@devnull.net" (non-printable character)

Expected Results:  Should have sent the mail

Additional info:

This bug appears in sendmail-8.12.8-5.80 but not in sendmail-8.11.6-1.62.3 

I have reported this to sendmail

Since this keeps mail from being delivered I'm setting the severity to high
Comment 1 Joseph Shraibman 2003-05-23 16:06:51 EDT
Created attachment 91932 [details]
patch against sendmail 8.12.9
Comment 2 Joseph Shraibman 2003-05-23 16:23:28 EDT
It appears the email address I entered into bugzilla didn't come through.  To
see it: http://p1.selectacast.net/~jks/char.txt
Comment 3 Florian La Roche 2003-08-13 17:51:19 EDT
You request 8-bit cleanliness, while sendmail checks for "non-printable" chars.
I agree that this is a pretty strict check, but would assume sendmail does the
right thing here. Have you tried submitting this to the sendmail maintainers?


Florian La Roche
Comment 4 Joseph Shraibman 2003-08-13 18:10:35 EDT
What's really going on is that sendmail isn't doing its checks properly, and is
printing out the wrong error message.

According to the rfcs, 7 bit chars are not allowed, but sendmail doesn't check
properly, so by chance that char also triggers the non printable char check. The
sendmail maintainers didn't think this was worth fixing, but once you realize
what the real problem is fixing this is trivial.

I'm changing severity to low.
Comment 5 Florian La Roche 2003-08-13 18:56:22 EDT
Ok, have looked now also further down in the same function. So this is only
a misleading error reporting. I am puzzeled that not all chars with the high
bit set are rejected.

I am closing this here, waiting for an upstream bugfix release for this, not
something I want to put into the RHL rpm packages.


Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.